githubEdit

Balance of

post

Retrieves the balance of an ERC1155 token for a specific account.

Authorizations
AuthorizationstringRequired
Path parameters
namestringRequired
  • The name identifier for the request
Header parameters
AuthorizationstringRequired
  • The authorization token
Body
  • The request body containing ERC1155 parameters
tostringOptional

The recipient address.

datastringOptional

The data to be sent.

valuestringOptional

The value to be sent.

gasLimitstringOptional

The gas limit for the transaction.

noncestringOptional

The nonce for the transaction.

simulatebooleanOptional

Whether to simulate the transaction.

gasstringOptional

The gas for the transaction.

gasPricestringOptional

The gas price for the transaction.

maxFeePerGasstringOptional

The maximum fee per gas.

maxPriorityFeePerGasstringOptional

The maximum priority fee per gas.

chain_idstringOptional

The chain ID.

encodingstringOptional

The encoding type.

typenumber · doubleOptional

The type of transaction.

blobGasstringOptional

The gas for blob transactions.

blobGasFeeCapstringOptional

The gas fee cap for blob transactions.

blobHashesstring[]Optional

The hashes for blob transactions.

dryrunbooleanOptional

Whether to perform a dry run.

inputstringOptional

The input data.

EOAbooleanOptional

Whether the transaction is from an externally owned account.

contract_addressstringOptional

The contract address.

token_idstringOptional

The token ID.

token_idsstringOptional

Optional. A comma-separated list of token IDs.

approvedbooleanOptional

Optional. Indicates whether the tokens are approved.

broadcastbooleanOptional

Whether to broadcast the transaction.

alwaysIncrementNoncebooleanOptional

Whether to always increment the nonce.

assetstringOptional

The asset involved in the transaction.

amountstringOptional

The amount involved in the transaction.

interestRateModenumber · doubleOptional

The interest rate mode.

referralCodenumber · doubleOptional

The referral code.

onBehalfOfstringOptional

The address on behalf of which the transaction is made.

receiverAddressstringOptional

The receiver address.

assetsstring[]Optional

The assets involved in the transaction.

amountsstring[]Optional

The amounts involved in the transaction.

modesnumber · double[]Optional

The modes of the transaction.

paramsstringOptional

Additional parameters.

rateModenumber · doubleOptional

The rate mode.

useAsCollateralbooleanOptional

Whether to use as collateral.

collateralAssetstringOptional

The collateral asset.

debtAssetstringOptional

The debt asset.

userstringOptional

The user involved in the transaction.

debtToCoverstringOptional

The debt to cover.

receiveATokenbooleanOptional

Whether to receive a token.

slippageLimitPercentnumber · doubleOptional

The slippage limit percentage.

minHealthFactorany ofOptional

The minimum health factor.

stringOptional
or
number · doubleOptional
premiumsany ofOptional

The premiums.

string[]Optional
or
number · double[]Optional
initiatorstringOptional

The initiator of the transaction.

rolestringOptional

The role of the user.

accountstringOptional

The account involved in the transaction.

initialDepositany ofOptional

The initial deposit.

stringOptional
or
number · doubleOptional
borrowAmountany ofOptional

The borrow amount.

stringOptional
or
number · doubleOptional
Responses
chevron-right
200

A promise that resolves to a TransactionAPIResponse containing the balance information

application/json

Interface representing the response from the Transaction API. Extends the BaseAPIResponse interface.

successbooleanRequired

The success status of the operation.

messagestringRequired

The message associated with the operation.

addressstringOptional

The address associated with the operation.

transaction_hashanyOptional

The hash of the transaction.

signedTxanyOptional

The signed transaction data.

transactionanyOptional

Additional transaction information.

functionstringOptional

The function name associated with the transaction.

post
/erc1155/{name}/balance-of
200

A promise that resolves to a TransactionAPIResponse containing the balance information